Bug 1339746 - GDM doesn't start on VitualBox
GDM doesn't start on VitualBox
Status: NEW
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
25
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-05-25 14:29 EDT by Mariya
Modified: 2017-11-16 13:44 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mariya 2016-05-25 14:29:14 EDT
Description of problem:
From Fedora 23 with installed gdm, logged in gdm, update to Fedora rawhide and after reboot gdm doesn't start.

Version-Release number of selected component (if applicable):


How reproducible:
Alayws

Steps to Reproduce:
1. Log in to Fedora 23 as root user
2. Update to Fedora rawhide
3. Reboot virtual machine after update is finished
4. Wait for gdm start 

Actual results:
Gdm doesn't start. Console screen is changed with black screen several times.

Expected results:
Gdm should start.

Additional info:
Type "nomodeset" in kernel command line - same result.

Sometimes is possible to switch to another tty and sometimes it's not
Comment 1 regihop7 2016-05-25 14:46:08 EDT
a similar bug 
on windows 10, VMware workstation Version: 11.1.2 build-2780323
Comment 2 Simeon Monov 2016-05-26 07:25:37 EDT
Issue is not reproducible if you update Fedora 24 to 25 rawhide.
In my case Fedora has been hosted on virtual machine (VM Workstation Player(V12.1.0 build-3272444)) on Windows 7.
Comment 3 ani.stoicheva 2016-05-26 15:40:14 EDT
Same here, but I can't switch to another tty. I am using OS X El Capitan Version 10.11.2 and Oracle VirtualBox Version 5.0.20 r106931.
Comment 4 Christian Klomp 2016-07-21 07:10:17 EDT
I had the same/similar issue with a nightly (about a week ago) although it manifested a bit differently:
The system was stuck on the systemd boot messages (last message about starting gdm or switching root); I could switch to a tty after some fiddling but every few seconds the boot messages would flash through the screen making interaction hard.

Disabling wayland in /etc/gdm/custom.conf works around it.
Comment 5 Jan Kurik 2016-07-26 01:03:36 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 6 Fedora End Of Life 2017-11-16 13:44:28 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.